
Foreman - Feature #2267

Need rake task and/or UI button for rebuilding all host tftp config files

03/01/2013 09:37 AM - Mikael Fridh

Status: Closed   

Priority: Normal   

Assignee: Ondřej Pražák   

Category: TFTP   

Target version: 1.10.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2508

  

Description

Per Ohad on IRC:

Host.all.map{|h| h.send(:setTFTP) if h.tftp? }

Related issues:

Related to Foreman - Feature #2799: Ability to repush DHCP settings Duplicate 07/17/2013

Related to Foreman - Bug #7774: Changing OS should trigger TFTP redeployment New 10/02/2014

Related to Foreman - Feature #3971: Show a warning when PXE template is edited Closed 01/08/2014

Related to Foreman - Bug #12082: rails 4 compatibility - orchestration_test d... Closed 10/07/2015

Related to Hammer CLI - Feature #12103: Add host rebuild_config action Closed 10/08/2015

Has duplicate Foreman - Bug #3609: Updating Global PXE Localboot template Duplicate 11/08/2013

Has duplicate Foreman - Bug #5782: pxelinux.cfg entry not updated when changi... Duplicate 05/19/2014

Has duplicate Foreman - Bug #2364: Add a way to regenerate managed host PXE f... Duplicate 04/02/2013

Associated revisions

Revision 2fba6ad7 - 09/14/2015 10:08 AM - Ondřej Pražák

Fixes #2267 - general rebuild of TFTP, DNS, DHCP

History

#1 - 01/14/2014 08:18 AM - Dominic Cleal

- Related to Feature #2799: Ability to repush DHCP settings added

#2 - 01/14/2014 08:25 AM - Dominic Cleal

- Has duplicate Bug #3609: Updating Global PXE Localboot template added

#3 - 05/19/2014 08:32 AM - Dominic Cleal

- Has duplicate Bug #5782: pxelinux.cfg entry not updated when changing provisioning template added

#4 - 10/03/2014 06:08 AM - Dominic Cleal

- Related to Bug #7774: Changing OS should trigger TFTP redeployment added

#5 - 06/30/2015 10:48 AM - Dominic Cleal

- Related to Feature #3971: Show a warning when PXE template is edited added

#6 - 07/01/2015 02:53 AM - Marek Hulán

- Description updated

- Category set to TFTP
#7 - 07/01/2015 10:21 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2508 added

- Pull request deleted ()

#8 - 07/29/2015 05:55 AM - Dominic Cleal

- Has duplicate Bug #2364: Add a way to regenerate managed host PXE files added

#9 - 09/14/2015 10:06 AM - Dominic Cleal

- Assignee set to Ondřej Pražák

- translation missing: en.field_release set to 63

#10 - 09/14/2015 11:03 AM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 2fba6ad7b91c9709938d602e0abeac25c8ce9be6.

#11 - 10/07/2015 06:08 AM - Dominic Cleal

- Related to Bug #12082: rails 4 compatibility - orchestration_test defines a module multiple times in rails 4 added

#12 - 10/08/2015 07:30 AM - Dominic Cleal

- Related to Feature #12103: Add host rebuild_config action added
